it.csi.mddtools.guigen

## Interface MultiDataWidget

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, Widget
  All Known Subinterfaces:
    ComboBox, MapView, Slider, Table, TextField, TreeView

      public interface MultiDataWidget
      extends Widget

  A representation of the model object 'Multi Data Widget'. Classe astratta dalla quale discendono tutte le classi che rappresentano widget associabili a collezioni. Un MultiDataWidget ha un concetto di collezione del widget che rappresenta l'insieme finito di possibili valori selezionabili.

  The following features are supported:

  - `Multi Data Binding`
  See Also:
    `GuigenPackage.getMultiDataWidget()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `AppDataBinding` | `getMultiDataBinding()` Returns the value of the 'Multi Data Binding' containment reference
    `void` | `setMultiDataBinding(AppDataBinding value)` Sets the value of the '`Multi Data Binding`' containment reference

    - ### Methods inherited from interface it.csi.mddtools.guigen.Widget

      `getEnableEnrichment, getEventHandlers, getLabel, getLayoutSpec, getName, getSecurityConstraints, getTooltip, isDefaultEnabled, isDefaultVisible, setDefaultEnabled, setDefaultVisible, setEnableEnrichment, setLabel, setLayoutSpec, setName, setTooltip`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getMultiDataBinding

          AppDataBinding getMultiDataBinding()

      Returns the value of the 'Multi Data Binding' containment reference.

      If the meaning of the 'Multi Data Binding' containment reference isn't clear, there really should be more of a description here...

      Il binding all'ApplicationData nel quale sono contenuti gli elementi dell'insieme di possibili valori. Il tipo dell'oggetto puntato deve essere un TypedArray e il componentType di questo TypedArray deve essere un ComplexType, poichè è necessario poter specificare il valore selezionato e la label descrittiva di tale valore (perciò servono almeno due field).
      Returns:
        the value of the 'Multi Data Binding' containment reference.
      See Also:
        `setMultiDataBinding(AppDataBinding)`, `GuigenPackage.getMultiDataWidget_MultiDataBinding()`

    - #### setMultiDataBinding

          void setMultiDataBinding(AppDataBinding value)

      Sets the value of the '`Multi Data Binding`' containment reference.
      Parameters:
        `value` - the new value of the 'Multi Data Binding' containment reference.
      See Also:
        `getMultiDataBinding()`